<!DOCTYPE html>
<html>
  <head>
    <title>em.def blog</title>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Helvetica:300,400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../main.css">
  </head>

  <body>
    <header class="container-fluid">
      <div class="row">
        <h1 class="col-sm-4"  style="color:#202020">e<a href="../index.html">m.def</a></h1>
        <nav class="col-sm-12 text-right">
          <a href="https://gitlab.com/mitaleeparikh/mitalee.parikh"><img src="../meta/icons/009-photos.png" height="20" width="20"></a>
            &ensp;
          <a href="mailto:emaitee@gmail.com"><img src="../meta/icons/005-diamond.png" height="20" width="20"></a>
        </nav>
      </div>
    </header>

    <section class="row">
      <section class="col-md-3">
           <nav id="leftnav">
            <a href="../fabacademy/pppm.html">Principles, Practices and Project Management</a><br>
            <a href="../fabacademy/ccc.html">Computer-controlled Cutting</a><br>
            <a href="../fabacademy/ep.html">Electronics Production</a><br>
            <a href="../fabacademy/3dps.html">3D printing and scanning</a><br>
            <a href="../fabacademy/ed.html">Electronics Design</a><br>
            <a href="../fabacademy/ccm.html">Computer-controlled Machining</a><br>
            <a href="../fabacademy/mc.html">Molding and Casting</a><br>
            <a href="../fabacademy/wc.html">Wild Card Week</a><br>
            <a href="../fabacademy/iipi.html">Invention, Intellectual Property and Income</a><br>
            <a href="../fabacademy/input.html">Inputs</a><br>
            <a href="../fabacademy/output.html">Outputs</a><br>
            <a href="../fabacademy/mdef.fp.html">MDEF Final Project</a><br>
          </nav>
      </section>

      <section class="col-md-6">

        <h1>Computer controlled machining</h1>
        <p>This week is about making something big using a CNC milling/routing machine. I want to explore the possibilities of CNC machining - drill, pocket, dogbones, nesting, etc.
        So I want to make a big jigsaw puzzle with different kinds of digital 2D joints.</p>

        <h3>Measure material</h3>
        <p>Material available for use is a veneer plywood of size 1220 x 1220 x 15 mm.</p>
        <p>I will check exact thickness with a vernier caliper when in the lab.</p>

        <h3>Design</h3>
        I wanted to make a table with adjustable height so after some viewing some references, I decided to make trestle legs for a desk steup. I started by making a 3D version of IKEA's FINVVARD to understand how it works.</p><br>
        <img class="img-fit" src="../fabacademy/images/CCM/finnvard.jpeg"><br><br>
        <img class="img-fit" src="../fabacademy/images/CCM/basic.jpg"><br><br>

        <p>Then I started making individual joints so they can be digitally machined in 2-axes or 2.5-axes.
          I used some details from the 50 digital joints poster to design some details.

          <div class="row">
            <figure class="col-md-3">
              <img class="img-fit" src="../fabacademy/images/CCM/joint0.png"><br><br>
            </figure>
            <figure class="col-md-3">
              <img class="img-fit" src="../fabacademy/images/CCM/joint1.png"><br><br>
            </figure>
            <figure class="col-md-3">
              <img class="img-fit" src="../fabacademy/images/CCM/joint2.png"><br><br>
            </figure>
            <figure class="col-md-3">
              <img class="img-fit" src="../fabacademy/images/CCM/joint3.png"><br><br>
            </figure>
          </div>

          I made some slotted joints, and versions of the finger tennons, lapped finger tennons, throughhole finger tennons to design the trestle.

          <img class="img-fit" src="../fabacademy/images/CCM/1.png"><br><br>
          <img class="img-fit" src="../fabacademy/images/CCM/2.png"><br><br>
          <img class="img-fit" src="../fabacademy/images/CCM/3.png"><br><br>

          <p> Here is how the final legs look. I need to make 2 of these and put any flat board on top to make a tabletop.</p><br>

          <img class="img-fit" src="../fabacademy/images/CCM/final.jpg"><br><br>

          <h4>Cutting file + Nesting </h4>
          Next, I lay everything flat on the XY plane and did a make 2D. For nesting I used an online service called <a href="https://nestandcut.com/">nestandcut.com</a> to nest all parts in twice the quantity on a sheet of 1220x1220x15 mm. (Half a sheet). I uploaded a dxf file that I export from Rhino and imported the nested dxf back.</p><br>

          <img class="img-fit" src="../fabacademy/images/CCM/nest.jpg"><br><br>
          <p>I made some changes manually to fit it all in the available sheet. Like I put two parts insode the big board and nest it within to make more space for the missing parts.
            Here is what that looks like:</p>
            <img class="img-fit" src="../fabacademy/images/CCM/nested.jpg"><br><br>

        <h3>CAM</h3>
        <p>Next, I shifted to the Windows partition of my computer and installed <a href="https://mecsoft.com/rhinocam/">RhinoCAM.</a>
        I opened the RhinoCAM machining browser plug-in in Rhino6. First I set it to MILL. In the program tab, I set up the material stock - 1220x1220x15.5 mm, the machine details - 3 axis , post - shopbot.</p>
        I set the origin at the left bottom corner and the Z at the top of the material stock.</p>

        <img class="img-fit" src="../fabacademy/images/CCM/setup.jpg"><br><br>

        <p>Next I set the tool - Flatmill 6mm, refering to the class notes and some previous documentations:</p>
          <li>Saved the tool as Flatmill 6mm
          <li>Holder dia = 50
          <li>Holder length = 45
          <li>Shank dia = 6mm
          <li>Tool dia = 6mm
          <li>Shoulder length = 30mm
          <li>Flute length = 30mm<br><br>

        <p>Feed and speeds:</p>
          <li>Speeds: 12000 rpm
          <li>Plunge: 2000 rpm
          <li>Approach: 2000 rpm
          <li>Engage: 2000 rpm
          <li>Cut: 2000 rpm
          <li>Retract: 2000 rpm
          <li>Departure: 2000 rpm<br><br>

        <p>Next, in 2-axis functions there is a list of actions ypu can perform. For my design I needed engraving, profiling and pocketing.</p>

        <h4>Engraving</h4>
          I set 5 points in the rhino file to engrave markings for screws to be drilled with a hand drill in the correct places.

          <img class="img-fit" src="../fabacademy/images/CCM/engraving.jpg"><br><br>

        <h4>Pocketing</h4>
            The insides of some parts that needed to be cleared were cut first. 2 parts needed pocketing at different heights, So after making adjustments in 2 different layers I changed the cut depth for both. 15mm for all parts except 2 where it was 10mm.</p>
            <img class="img-fit" src="../fabacademy/images/CCM/fullpocketing.jpg"><br><br>
            <p>Settings</p>
              <li>Cut pattern: Offset
              <li>Cut direction: Conventional (Up cut) - standard for plywood
              <li>Start point: inside
              <li>Rough depth: 12
              <li>Finish depth: 3

            <h4>Profiling</h4>
            To cut the outside profiles of the parts, I set the profiling for 2.5 axis. I also made another profiling - inside for 2 curves that needed to be cut on the inside.</p>
            <img class="img-fit" src="../fabacademy/images/CCM/outerprofiling.jpg"><br><br>
              <p>Settings same as pocketing, set toolpath OUTSIDE the curves</p>

            <h4>Simulation</h4>

            <img class="img-fit" src="../fabacademy/images/CCM/simlulation1.jpg"><br><br>

            <p> Then I ran a simulation and found some errors in the settings.
              <ol>
                <li>The cutting height did not match the level of the stock. It was cutting in the air. I adjusted this by going back to the material panel and changing the stock thickness to 15mm. (It was 300 by mistake)
                <li>The tool path just ran once over all profiles and went in 15mm in one pass. I changed this by making the cut depth 15mm in roughing and finishing at 12 and 3 respectively.
                <li>Some parts were creating double paths - so I deselected them from one layer and generated toolpaths again.
                </ol>

              <p>After running another simulation, it seemed fine.</p><br>

                <img class="img-fit" src="../fabacademy/images/CCM/simlulation2.jpg"><br><br>

        <h3>Machining</h3>
        <p>Will do this part when I return to the lab.</p>

        <h3>Assembly</h3>
        <p>Will do this part when I return to the lab.</p>
        <p>Here's how it should look when done. (w/o the top surface)

          <img class="img-fit" src="../fabacademy/images/CCM/table.jpg"><br><br>

        <h3>References</h3>
        <li><a href="https://www.ikea.com/us/en/p/finnvard-trestle-with-shelf-birch-30345717/">IKEA Finnvard trestle</a>
        <li><a href="https://mkmra2.blogspot.com/2014/08/cnc-cut-wood-joinery.html">This CNC wood joinery post</a>
        <li><a href="https://makezine.com/2014/12/04/50-digital-wood-joints-poster/">50 Digital Joints</a>

        <h3>Design Files</h3>
        <li><a href="../fabacademy/images/CCM/rhino3D.zip">Rhino 3D</a>
        <li><a href="../fabacademy/images/CCM/parts.stl.zip">Parts stl</a>
        <li><a href="../fabacademy/images/CCM/trestlelegs.3dm.zip">RhinoCAM</a> (Got an error while saving this - not all CAM changes can be saved, so not sure if this file works properly)
      </section>

    </section>

    <div class="footer">
        <div class="row">
        <div class="col-md-2">
          <p>&copy; 2019-20 <a href="https://www.linkedin.com/in/mitaleeparikh">Mitalee Parikh</a></p>
        </div>
        <div class="col-md-7">
          <p>This site is a documentation of my work done in 2019-2020 as a part of the <a href="https://mdef.iaac.net">Master in Design for Emergent Futures</a> programme at the <a href="https://iaac.net/educational-programmes/masters-programmes/master-in-design-for-emergent-futures-mdef/">Institute of Advanced Architecture of Catalonia</a> and <a href="https://elisava.net/en">Elisava Barcelona School of Design and Engineering</a> in collaboration with <a href="https://fabacademy.org/">FabAcademy.</p>
        </div>
        <div class="col-md-2">
        </div>
        <div class="col-md-1">
          <a href="https://www.instagram.com/emaitee/"><img src="../meta/icons/011-cd.png" height="20" width="20">&ensp;
          <a href="https://www.goodreads.com/review/list/5828563-mitalee-parikh?shelf=mdef"><img src="../meta/icons/013-radar.png" height="20" width="20">&ensp;
          <a href="https://twitter.com/MitaleeParikh"><img src="../meta/icons/009-photos.png" height="20" width="20">
        </div>
        </div>
    </div>

  </body>

</html>
